<?php

namespace Lc\CaracoleBundle\Controller\Site;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Factory\Site\NewsFactory;
use Lc\SovBundle\Controller\Site\NewsAdminController as SovNewsAdminController;

abstract class NewsAdminController extends SovNewsAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        $factory = new NewsFactory();
        $currentMerchant = $this->get('merchant_resolver')->getCurrent();
        $factory->setMerchant($currentMerchant);
        return $factory->create();
    }
}
