<?php

namespace Lc\CaracoleBundle\Controller\Ticket;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\SovBundle\Controller\Ticket\TicketAdminController as SovTicketAdminController;
use Lc\CaracoleBundle\Factory\Ticket\TicketFactory;

class TicketAdminController extends SovTicketAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        $merchantResolver = $this->get('merchant_resolver');
        $factory = new TicketFactory();
        $factory->setMerchant($merchantResolver->getCurrent());
        return $factory->create();
    }

}
