<?php

namespace Lc\CaracoleBundle\Factory\Product;

use App\Entity\Product\ProductCategory;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Product\ProductCategoryInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ProductCategoryFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant, SectionInterface $section): ProductCategoryInterface
    {
        $productCategory = new ProductCategory();

        $productCategory->setMerchant($merchant);
        $productCategory->setSection($section);

        return $productCategory;
    }

}
